Subject: Compiling Gaussian 03 in Xeon system

From: "pderosa-Latech" <pderosa^at^latech.edu>
Date: Mon, 17 May 2004 12:04:22 -0500

Dear all:

        I have compiled Gaussian 03 in a dual Xeon system running Red Hat 9.0 where I have the Portland group compiler.  After solving a few issues the compilation went smoothly and seemingly with not error (the make.log file is too long and probably I missed something).  However I tried to run a simple calculation (h2o) and the calculation crashes when entering link 101, in fact the last line in the log file is " (Enter /usr/apps/gaussian/g03/l101.exe)"

        Below a list of a few issues I had to solve before compilation works and that may have been the reasons for this problem

1) when I source g03.login (some times) come back that 'gau-machine is not known' or something like that and the variable 'x' has not value assigned to it.  I notice though that when I run bldg03 the variable x is assigned i386.

2) bldg03 is trying to link a file f2c.make into g03.make however f2c.make does NOT come with the package.  Assuming this is an error I copy i386.make into f2c.make and allow the system to use that file to compile.

3) the environmental variable PGI (location of the compiler) is not assigned any value so I assigned the value manually

4) the make file tries to use pgf77 that was not in the path, I set the path so it would find it

After these issues were solved Gaussian compile with no errors but, as I said before, it does not work.  The step I am particularly suspicious about is when I copy i386.make into f2c.make but I assumed that if i386.make is not the correct make file the compilation would failed.

Any help will be greatly appreciated, I can forward answers I receive to anybody with the same problem.

Thanks,

Pedro